Loading...
Searching...
No Matches
confparams Struct Reference
Rig (transceiver) API

Configuration parameter structure. More...

`#include <rig.h>`

## Data Fields

hamlib_token_t | token
const char * | name
const char * | label
const char * | tooltip
const char * | dflt
enum rig_conf_e | type
union { |
struct { |
float min |
float max |
float step |
} n
struct { |
const char * combostr [RIG_COMBO_MAX] |
} c
} | u

## Detailed Description

Configuration parameter structure.

## Field Documentation

## [struct]

struct { ... } confparams::c

Combo type

## combostr

const char* confparams::combostr[RIG_COMBO_MAX]

< Combo list

## dflt

const char* confparams::dflt

Default value

## label

const char* confparams::label

Human readable label

## max

float confparams::max

Maximum value

## min

float confparams::min

< Minimum value

## [struct]

struct { ... } confparams::n

< Numeric type

## name

const char* confparams::name

Param name, no spaces allowed

## step

float confparams::step

Step

## token

hamlib_token_t confparams::token

Conf param token ID

## tooltip

const char* confparams::tooltip

Hint on the parameter

## type

enum rig_conf_e confparams::type

Type of the parameter

## [union]

union { ... } confparams::u

Type union

The documentation for this struct was generated from the following file:

- rig.h